Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List

Get All Contact Lists

Retrieves metadata for all contact lists associated with all voice campaigns.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{IID}}/campaign/contactList/getAllListDetails?type=call
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
IIdThe Application ID.string, required

Query Parameter

ParameterDescriptionType
typeValue must be call to retrieve contact lists only.string, optional

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{IID}}/campaign/contactList/getAllListDetails?type=call' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--header 'auth: <token>' \

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "success",
    "message": "",
    "data": [
        {
            "_id": "cl-60bac2e-b440-439a-931e-2d9b2a17xxxx",
            "name": "Renewal Due - July 2025",
            "description": "This list contains customers with services expiring in July 2025. It includes contact details and subscription info to help agents provide tailored support during live calls.",
            "totalRecordCount": 2,
            "status": "Ready",
            "mapping": {
                "firstName": "firstName",
                "lastName": "lastName",
                "phoneNumber": "phoneNumber",
                "timeZone": "timeZone",
                "uniqueId": "uniqueId"
            },
            "isListInUse": false,
            "listType": "call",
            "campaignInUse": [],
            "source": "passiveApiIntegration",
            "apiConfigurations": {
                "dataSyncMode": "allowDuplicates"
            },
            "files": [],
            "updatedAt": "2025-06-26T12:41:15.716Z"
        },
        {
            "_id": "cl-c2ce382-2516-457e-8eb4-9847deecxxxx",
            "name": "Renewal Due - August 2025",
            "description": "This list contains customers with services expiring in July 2025. It includes contact details and subscription info to help agents provide tailored support during live calls.",
            "totalRecordCount": 0,
            "status": "Ready",
            "mapping": {
                "firstName": "firstName",
                "lastName": "lastName",
                "phoneNumber": "phoneNumber",
                "timeZone": "timeZone",
                "uniqueId": "uniqueId"
            },
            "isListInUse": false,
            "listType": "call",
            "campaignInUse": [],
            "source": "passiveApiIntegration",
            "apiConfigurations": {
                "dataSyncMode": "allowDuplicates"
            },
            "files": [],
            "updatedAt": "2025-06-26T12:38:25.793Z"
        }
    ]
}

Response Body Parameters

ParameterDescriptionType
statusIndicates whether the API call was successful.string
messageOptional message describing the result of the operation.string
dataArray of contact list objects.array
data[].\_idUnique identifier of the contact list.string
data[].nameName of the contact list.string
data[].descriptionDescription of the contact list.string
data[].totalRecordCountNumber of contacts in the list.number
data[].statusCurrent status of the contact list (for example, Ready).string
data[].mappingObject that maps fields in the contact list to expected keys.object
data[].mapping.firstNameMapping for the contact’s first name.string
data[].mapping.lastNameMapping for the contact’s last name.string
data[].mapping.phoneNumberMapping for the contact’s phone number.string
data[].mapping.timeZoneMapping for the contact’s timezone.string
data[].mapping.uniqueIdMapping for the contact’s unique identifier.string
data[].isListInUseIndicates whether the list is currently in use in a campaign.boolean
data[].listTypeType of contact list (call, sms, etc.).string
data[].campaignInUseArray of campaign IDs currently using this contact list.array
data[].sourceSource of the contact list (passiveApiIntegration, upload, etc.).string
data[].apiConfigurationsConfiguration related to API data syncing.object
data[].apiConfigurations.dataSyncModeMode for syncing data (for example, allowDuplicates).string
data[].filesList of uploaded files associated with the contact list.array
data[].updatedAtTimestamp of the last update to the contact list (ISO 8601 format).string